Ethereum Web3.js returns “Cannot find module 'web3-requestManager'”

I'm trying to start using Ethereum Web3.js with node 6.11.1 on a macosx

I installed web3 with the following command:

npm install web3

Then i launch this - apparently - simple node command:

Web3 = require('web3');

Well, it returns the following error:

module.js:471
    throw err;
    ^

Error: Cannot find module 'web3-requestManager'
    at Function.Module._resolveFilename (module.js:469:15)
    at Function.Module._load (module.js:417:25)
    at Module.require (module.js:497:17)
    at require (internal/module.js:20:19)
    at Object.<anonymous> (/Users/fremente/Dropbox/Influx Design/Web htdocs/ethereum/node_modules/web3/packages/web3-core/src/index.js:26:22)
    at Module._compile (module.js:570:32)
    at Object.Module._extensions..js (module.js:579:10)
    at Module.load (module.js:487:32)
    at tryModuleLoad (module.js:446:12)
    at Function.Module._load (module.js:438:3)

it looks like it require some module (e.g. 'web3-requestManager') that aren't installed with the package.

Here it is my package.json

{
  "name": "ethereum",
  "version": "1.0.0",
  "description": "",
  "main": "index.js",
  "dependencies": {
    "ethereumjs-testrpc": "^4.0.1",
    "solc": "^0.4.13",
    "web3": "^1.0.0-beta2"
  },
  "devDependencies": {},
  "scripts": {
    "test": "echo \"Error: no test specified\" && exit 1"
  },
  "author": "",
  "license": "ISC"
}

Any Idea? Am i doing something wrong?

Answers:

Answer

The problem comes from using a beta version of web3 its not stable at the moment and currently is under heavy development you have one of two options,

  • either use a stable version 0.23 i think or something like that

  • or manually install all the needed dependencies i don't recommend this solution for a stable dapp since things are currently really unstable

Answer
npm install ethereum/web3.js

should solve your problem

Answer

I solved it by removing node_modules folder, running npm install again and installing web3js manually in addition to package.json listing:

Add dependency to package.json

"web3": "^1.0.0-beta.31"

Rebuild modules

rm -rf node_modules
npm install

Install web3 manually

npm install [email protected]
Answer

I was facing this exact issue with: [email protected]

I have fixed this issue by upgrading node from v6.11.3 to v8.9.4.

I have removed node_modules folder and run: npm install to rebuild modules.

I think that web3 is using features that are only supported by node version 8.x.x.

Answer

I resolved the web3-requestManager issue by pinning to 1.0.0-beta.29 version. Previously it was installing 1.0.0-beta.2.

Answer

Installing git on my Windows 10 machine helped. Dependencies did not install properly without it. https://git-scm.com/downloads

Answer

I am currently using web3 1.0 version. And I am using macOS as well. If you are using this version too, try this:

Running npm install ethereum/web3.js
Answer

npm install ethereum/web3.js fixed my issue.

hope it works for you too.

Tags

Recent Questions

Top Questions

Home Tags Terms of Service Privacy Policy DMCA Contact Us

©2020 All rights reserved.